﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS700D Specifications
DATE:                  2017-02-13 08:12:14
AUTHOR:                Fluke
REVISION:              $Revision: 18270 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       89
=============================================================================
#
#  Procedure Author:
#        DAC, VY
#
#  Model(s) Covered:
#        TDS 700D
#          TDS 724D, TDS 754D, TDS 784D, TDS 794D
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL?calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Because there is no chance to verify the execution time of self test and
# signal path compensation test for every model, the below time setting is
# referenced the other model. It can be changed to precise time in actual
# test (time unit is second) once current setting is not proper.

  1.001  IF           ZCMPI(@ModelNum, "TDS 724D")
  1.002  MATH         @Bandwidth = 500E+6; @NumChan = "2+2"
  1.003  MATH         @SelfTestTime = 115; @SPCTime = 220

  1.004  ELSEIF       ZCMPI(@ModelNum, "TDS 754D")
  1.005  MATH         @Bandwidth = 500E+6; @NumChan = "4"
  1.006  MATH         @SelfTestTime = 115; @SPCTime = 315

  1.007  ELSEIF       ZCMPI(@ModelNum, "TDS 784D")
  1.008  MATH         @Bandwidth = 1E+9; @NumChan = "4"
  1.009  MATH         @SelfTestTime = 115; @SPCTime = 260

  1.010  ELSEIF       ZCMPI(@ModelNum, "TDS 794D")
  1.011  MATH         @Bandwidth = 2E+9; @NumChan = "4"
  1.012  MATH         @SelfTestTime = 115; @SPCTime = 260

  1.013  ELSE
  1.014  DISP         Sub TDS700D Specifications
  1.014  DISP
  1.014  DISP         Unsupported model number: [V @ModelNum]
  1.015  END
  1.016  ENDIF

# TDS 500D/700D program manual said that auxiliary trig in can not be selected
# as main or delay trigger source for TDS 520D and TDS 724D. However, the test
# with one TDS 520D proved that program manual description is wrong because
# TDS 520D not only have aux trig input terminal but also can become trigger
# source via remote command. So it is difficult to determine whether this
# situation is also applied to TDS 724D, or TDS 520D is an exception from
# the manuals or information during the procedure development.
#
# In safe, here the variable is set in order aux in trig test is skipped
# during the TDS 724D trigger sensitivity test.
  1.017  IF           ZCMPI(@ModelNum, "TDS 724D")
  1.018  MATH         @AuxTrigIn = 0
  1.019  ELSE
  1.020  MATH         @AuxTrigIn = 1
  1.021  ENDIF

# Set variable of optional bandwidth test to default.
  1.022  MATH         @TestOptBW = 0; @OptChBWTime = 3
# Set variable of optional trigger sensitivity test for channel 2, 3 and 4
# to default.
  1.023  MATH         @TestCh234Sens = 0; @OptChSensTime = 3
# Set variable of check times of trigger status to default.
  1.024  MATH         @TriggeredChkTimes = 1

  1.025  END
