﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS 724D, 754D (1 yr) VER IEEE /9100+Opt600
DATE:                  2017-02-13 08:38:25
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       247
CONFIGURATION:         Datron 9100 (S6)
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        TDS 500D, TDS 600C, TDS 700D & TDS 714L Digitizing Oscilloscopes
#        Service Manual, Part No. 071-0627-02
#
#  Source Author:
#        Tektronix
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
#        BNC T(f-m-f) adapter
#        SMA T(f-m-f) adapter
#        Cable, 50 Ohm, SMA(m)-(m), 20", two sets
#        3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
#        2 sets SMA Short
#         BNC 90° female to male adapter
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.

  1.001  IF           0
  1.002  9100         500MH                        1Vpp           LS SC S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            F        V

  1.005  MATH         @ReqMetCalVersion = "7.20x"
  1.006  CALL         Sub MET/CAL Version Check

  1.007  IF           NOT(@MetCalVersionOK)
  1.008  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.008  DISP         or later.
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright
  1.012  CALL         Sub High Voltage Safety Warning
  1.013  CALL         Sub Select Failed Test Mode
  1.014  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         20 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  HEAD         UUT IDENTIFICATION
  1.017  TARGET
  1.018  CALL         Sub TDS500/600/700 Setup IEEE
  1.019  IEEE2        *RST;DESE 61
  1.020  WAIT         -t 4 System Initializing ...
  1.021  MATH         @UUT_Manufacturer = "TEKTRONIX"
  1.022  MATH         @UUT_AssetNum     = UUT()

  1.023  IF           NOT(EMPTY(@UUT_AssetNum))
  1.024  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.025  ENDIF

  1.026  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.027  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.028  IF           @Abort
  1.029  END
  1.030  ENDIF

  1.031  HEAD         EQUIPMENT REQUIREMENTS
  1.032  OPBR         -z Do you want to review the list of additional
  1.032  OPBR         equipment and/or accessories required?

  1.033  IF           MEM1
  1.034  DISP         The following additional equipment and/or accessories
  1.034  DISP         are required:
  1.034  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.034  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.034  DISP         - Cable, coaxial, BNC(m)-(m)
  1.034  DISP         - BNC T(f-m-f) adapter
  1.034  DISP         - SMA(f) to SMA(f), SMA(m) to BNC(f) adapter, 3 sets
  1.034  DISP         - SMA T(f-m-f) adapter
  1.034  DISP         - Cable, 50 Ohm, 20", SMA(m)-(m), 2 sets
  1.034  DISP         - SMA Short, 2 sets
  1.034  DISP         - BNC 90° female to male adapter
  1.034  DISP         - Dual Input Coupler (BNC)
  1.034  DISP         - 50 Ohm Feedthrough (BNC)
  1.035  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.036  CALL         Sub TDS700D Specifications
  1.037  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.038  JMPL         END                          @Abort
  1.039  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.040  JMPL         END                          @Abort

# Specify channel to test.
  1.041  MATH         @Chan = 1
  1.042  CALL         Sub TDS700D (1 yr) DC Offset IEEE
  1.043  MATH         @Chan = 2
  1.044  CALL         Sub TDS700D (1 yr) DC Offset IEEE
  1.045  MATH         @Chan = 3
  1.046  CALL         Sub TDS700D (1 yr) DC Offset IEEE
  1.047  MATH         @Chan = 4
  1.048  CALL         Sub TDS700D (1 yr) DC Offset IEEE

  1.049  MATH         @Chan = 1
  1.050  CALL         Sub TDS700D (1 yr) DCV Meas Acc IEEE /9100
  1.051  MATH         @Chan = 2
  1.052  CALL         Sub TDS700D (1 yr) DCV Meas Acc IEEE /9100
  1.053  MATH         @Chan = 3
  1.054  CALL         Sub TDS700D (1 yr) DCV Meas Acc IEEE /9100
  1.055  MATH         @Chan = 4
  1.056  CALL         Sub TDS700D (1 yr) DCV Meas Acc IEEE /9100

  1.057  MATH         @Chan = 1
  1.058  CALL         Sub TDS700D (1 yr) Bandwidth IEEE /9100+Opt600
  1.059  JMPL         TIMEBASE_TRIGGER

  1.060  LABEL        BANDWIDTH_CH2
  1.061  MATH         @Chan = 2
  1.062  CALL         Sub TDS700D (1 yr) Bandwidth IEEE /9100+Opt600
  1.063  JMPL         TRIG_SENS_CH2

  1.064  LABEL        BANDWIDTH_CH3
  1.065  MATH         @Chan = 3
  1.066  CALL         Sub TDS700D (1 yr) Bandwidth IEEE /9100+Opt600
  1.067  JMPL         TRIG_SENS_CH3

  1.068  LABEL        BANDWIDTH_CH4
  1.069  MATH         @Chan = 4
  1.070  CALL         Sub TDS700D (1 yr) Bandwidth IEEE /9100+Opt600
  1.071  JMPL         TRIG_SENS_CH4

  1.072  LABEL        DELAY_MATCH
  1.073  MATH         @Chan = 1
  1.074  CALL         Sub TDS700D (1 yr) Delay Match IEEE /9100+Opt600
  1.075  JMPL         OUTPUT_SIGNAL

  1.076  LABEL        TIMEBASE_TRIGGER
  1.077  MATH         @Chan = 1
  1.078  CALL         Sub TDS700D (1 yr) Time Base IEEE /9100+Opt600
  1.079  JMPL         TRIG_TIME_ACC

  1.080  LABEL        DELTA_TIME
  1.081  MATH         @Chan = 1
  1.082  CALL         Sub TDS700D (1 yr) Delta Time IEEE /9100+Opt600
  1.083  MATH         @Chan = 2
  1.084  CALL         Sub TDS700D (1 yr) Delta Time IEEE /9100+Opt600
  1.085  MATH         @Chan = 3
  1.086  CALL         Sub TDS700D (1 yr) Delta Time IEEE /9100+Opt600
  1.087  MATH         @Chan = 4
  1.088  CALL         Sub TDS700D (1 yr) Delta Time IEEE /9100+Opt600
  1.089  JMPL         END

  1.090  LABEL        TRIG_TIME_ACC
  1.091  CALL         Sub TDS700D (1 yr) Trig Time Acc IEEE /9100+Opt600
  1.092  CALL         Sub TDS700D (1 yr) Sens IEEE /9100+Opt600
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.093  OPBR         -z Each channel trig sensitivity test will take about
  1.093  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.093  OPBR         channels to save time, unless desired.
  1.093  OPBR
  1.093  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.093  OPBR         3, and 4?
  1.094  MATH         @TestCh234Sens = MEM1

  1.095  IF           @AuxTrigIn
  1.096  MATH         @Chan = 1
  1.097  CALL         Sub TDS700D (1 yr) Aux Trig In Sens IEEE /9100+Opt600
  1.098  ENDIF

  1.099  JMPL         BANDWIDTH_CH2

  1.100  LABEL        TRIG_SENS_CH2

  1.101  IF           @TestCh234Sens
  1.102  MATH         @Chan = 2
  1.103  CALL         Sub TDS700D (1 yr) Sens IEEE /9100+Opt600
  1.104  ENDIF

  1.105  JMPL         BANDWIDTH_CH3

  1.106  LABEL        TRIG_SENS_CH3

  1.107  IF           @TestCh234Sens
  1.108  MATH         @Chan = 3
  1.109  CALL         Sub TDS700D (1 yr) Sens IEEE /9100+Opt600
  1.110  ENDIF

  1.111  JMPL         BANDWIDTH_CH4

  1.112  LABEL        TRIG_SENS_CH4

  1.113  IF           @TestCh234Sens
  1.114  MATH         @Chan = 4
  1.115  CALL         Sub TDS700D (1 yr) Sens IEEE /9100+Opt600
  1.116  ENDIF

  1.117  JMPL         DELAY_MATCH

  1.118  LABEL        OUTPUT_SIGNAL
  1.119  CALL         Sub TDS700D (1 yr) Output Signal IEEE /9100+Opt600
  1.120  CALL         Sub TDS700D (1 yr) Probe Comp IEEE /9100
  1.121  JMPL         DELTA_TIME

  1.122  LABEL        END
  1.123  IEEE2        *RST;DESE 61

  1.124  IF           @Abort
  1.125  DISP         {V E R I F I C A T I O N   A B O R T E D !}
  1.126  ENDIF

  1.127  END
